//-------------------------------------------------------BEGINHEADER--
// This file is part of LoopSim (arXiv:1006.2144).
//
// Copyright 2009-2011 Mathieu Rubin, Gavin P. Salam and Sebastian Sapeta
//
// This software is provided as a snapshot of the ongoing LoopSim
// research project. As such, you may not redistribute it without the
// authors' permission.
//
// If you use LoopSim as part of your scientific work, you should
// discuss and agree with the LoopSim authors how best to acknowledge
// LoopSim in your work (e.g. whether through a reference, or through
// joint authorship with the LoopSim authors). 
//
// To help guide LoopSim's proper use in its current early stage of
// development, a condition of use of LoopSim is that any results that
// you obtain with it must be shown to the LoopSim authors before
// they are made public.
//
// $Id: LSAnalysisLHC.hh 1917 2013-06-29 14:01:00Z sapeta $
//-------------------------------------------------------ENDHEADER----

// Class for analysis of W+jets process
//
#ifndef __LSANALYSISLHC_HH__
#define __LSANALYSISLHC_HH__
#include "LSAnalysisBase.hh"

using namespace std;
using namespace fastjet;

class LSAnalysisLHC : public LSAnalysisBase {
  public:
  /// constructor:
  /// define jet algorithm and declare histograms
  /// \param R       jet radius
  /// \param ptmin   jet pt treshold
  /// \param nborn   number of Born particles
  LSAnalysisLHC(double R, double ptmin);
  // get an event and fill histograms
  void analyse(const Event& ls_evt, const bool orig);
  string description();
  private:
  double _total_cs;
  bool _has_W_boson_and_parton(const Event& ls_evt);

};
#endif // __LSANALYSISLHC_H__
