#!/usr/bin/env python

import argparse
import os
import sys
import shutil

parser = argparse.ArgumentParser()
parser.add_argument("mcfmpath", help="path to your MCFM 6.6 installation")
args = parser.parse_args()

#print(args.mcfmpath)

files_dict = {"makefile":        "", \
              "mbook.f":         "src/Integrate", \
              "usercode_f77.f":  "src/User", \
              "cxxusercode.cc":  "src/User", \
              "mcfm.hh":         "src/User", \
              "autoplots.f":     "src/User", \
              "includedipole.f": "src/Need", \
              "writeinfo.f":     "src/Need", \
              "histofin.f":      "src/Need", \
              "lowint.f":        "src/Procdep", \
              "realint.f":       "src/Procdep", \
              "virtint.f":       "src/Procdep"}

for key, value in files_dict.items():
  copy_tuple = (os.path.join(os.path.dirname(sys.argv[0]),key), \
                os.path.join(args.mcfmpath,value))
  #print(copy_tuple)
  shutil.copy2(*copy_tuple)

print("Done!")

